List channels
curl --request POST \
--url https://your_domain/api/workspace/v1/channels/list \
--header 'X-API-Key: <api-key>'import requests
url = "https://your_domain/api/workspace/v1/channels/list"
headers = {"X-API-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};
fetch('https://your_domain/api/workspace/v1/channels/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"id": "ch_123",
"name": "Acme Support",
"phoneNumberId": "123456789",
"isActive": true
}
],
"message": "Found 1 channel(s)"
}{
"success": false,
"error": "<string>",
"message": "<string>"
}{
"success": false,
"error": "<string>",
"message": "<string>"
}{
"success": false,
"error": "<string>",
"message": "<string>"
}{
"success": false,
"error": "<string>",
"message": "<string>"
}{
"success": false,
"error": "<string>",
"message": "<string>"
}Channels
List channels
List channels accessible to this API key. Team keys only see assigned channels; admin keys see channels they created. Use an id from here as channelId for every other Workspace endpoint.
Authentication: API key via X-API-Key header (or Authorization: Bearer). Permissions: User API key Rate limit: api_read — 120 requests/min per API user.
POST
/
api
/
workspace
/
v1
/
channels
/
list
List channels
Last modified on September 20, 2026
Was this page helpful?